#include <stdio.h>
#include <stdlib.h>


int main()
{
    unsigned long long int max[2],a,b,c,aa[20],bb[20],cc[20],ai=0,bi=0,ci=0,xi=0,kraj=2,ai1,bi1,ci1,pravikraj=0,i,n,a1,b1,c1;
    printf("Uneti 3 broja\n");
    scanf("%llu%llu%llu", &a,&b,&c);

    if (a==b && a==c)
    {
        max[0]=a;
        max[1]=b;
        max[2]=c;
        pravikraj=7;
        for (i=0; i<3; i++)
        {
            printf("%llu", max[i]);
        }
    }

    a1=a;
    b1=b;
    c1=c;
    while (a!=0)
    {
        aa[ai]=a%10;
        a=a/10;
        if (a!=0)
            ai++;
    }
    ai1=ai;
    while (b!=0)
    {
        bb[bi]=b%10;
        b=b/10;
        if (b!=0)
            bi++;
    }
    bi1=bi;
    while (c!=0)
    {
        cc[ci]=c%10;
        c=c/10;
        if (c!=0)
            ci++;
    }
    ci1=ci;




    while (pravikraj<2)
    {

        if (aa[ai]>bb[bi])
        {
            if (aa[ai]>cc[ci])
            {
                max[pravikraj]=a1;

            }
            while (aa[ai]==cc[ci] && (ai!=0 && ci!=0))
            {
                ai--;
                ci--;

            }
            ai=ai1;
            ci=ci1;
            if (aa[ai]>cc[ci])
            {
                max[pravikraj]=a1;

            }
            else
            {
                max[pravikraj]=c1;


            }
        }
        else if (bb[bi]>aa[ai])
        {
            if (bb[bi]>cc[ci])
            {
                max[pravikraj]=b1;

            }
            while (bb[bi]==cc[ci] && (bi!=0 && ci!=0))
            {
                bi--;
                ci--;

            }
            bi=bi1;
            ci=ci1;
            if (bb[bi]>cc[ci])
            {
                max[pravikraj]=b1;

            }
            else
            {
                max[pravikraj]=c1;

            }
        }

        else if (cc[ci]>aa[ai])
        {
            if (cc[ci]>bb[bi])
            {
                max[pravikraj]=c1;

            }

            while (cc[bi]==bb[bi] && (ci!=0 && bi!=0))
            {
                bi--;
                ci--;

            }
            bi=bi1;
            ci=ci1;
            if (bb[bi]>cc[ci])
            {
                max[pravikraj]=b1;

            }
            else
            {
                max[pravikraj]=c1;

            }
        }
        if (max[0]==max[1])
        {

            if (max[0]=c1)
            {
                if (aa[ai]>bb[bi])
                {
                    max[1]=aa[ai];
                }
                else if (aa[ai]<bb[bi])
                    max[1]=bb[bi];

            }

            if (max[0]=a1)
            {
                if (cc[ci]>bb[bi])
                {
                    max[1]=cc[ci];
                }
                else
                    max[1]=bb[bi];
            }


            if (max[0]=b1)
            {
                if (aa[ai]>cc[ci])
                {
                    max[1]=aa[ai];
                }
                else
                    max[1]=cc[ci];
            }
        }


        if (max[0]==a1)
        {
            if (a1/10==0)
                aa[ai]=0;
            else
            {
                for (i=0; i<ai; i++) {}
                aa[i]=0;

            }
        }
        else if (max[0]==bi)
        {
            if (b1/10==0)
                bb[bi]=0;
            else
            {
                for (i=0; i<bi; i++) {}
                bb[i]=0;

            }
        }
        else if (max[0]==ci)
        {
            //
            if (c1/10==0)
                cc[ci]=0;
            else
            {
                for (i=0; i<ci; i++) {}
                cc[i]=0;

            }
        }

        if (pravikraj==1)
        {
            if (max[0]!=c1 && max[1]!=c1)
            {
                max[2]=c1;
            }
            if (max[0]!=a1 && max[1]!=a1)
            {
                max[2]=a1;
            }
            if (max[0]!=b1 && max[1]!=b1)
            {
                max[2]=b1;
            }
        }

        pravikraj++;
    }
    if (a1!=b1 || a1!=c1 || b1!=c1)
    {
        for (i=0; i<3; i++)
        {
            printf("%llu", max[i]);
        }
    }



    return 0;
}